package com.ssm.manage.dao.impl;

import com.ssm.core.mapper.BaseMapper;
import com.ssm.manage.entity.RegionList;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;
import com.ssm.manage.mapper.RegionListMapper;
import org.springframework.beans.factory.annotation.Autowired;
import com.ssm.manage.dao.RegionListDao;

import com.ssm.core.impl.BaseDaoImpl;

import java.util.List;

/**
 * (RegionList)表数据库访问层
 *
 * @author makejava
 * @since 2023-12-16 11:26:09
 */
@Component
public class RegionListDaoImpl extends BaseDaoImpl<RegionList> implements RegionListDao {

    @Autowired
    private RegionListMapper RegionListMapper;


    @Override
    protected BaseMapper<RegionList> getMapper() {
        return RegionListMapper;
    }

    @Override
    public List<Integer> selectByChildren(Long zhongkongDeptId) {
        return RegionListMapper.selectByChildren(zhongkongDeptId);
    }

    @Override
    public List<String> selectByChildrenByDeptName(String deptNum) {
        return RegionListMapper.selectByChildrenByDeptName(deptNum);
    }
}
